/**
 * Driver for MySet class (DIY Set ADT)
 * Date 2007 10 30
 * @author C. D'Arcy
 */

public class MySetTest {
  public static void main(String[] args) {
	
   // instance of a MySet class
    MySet<Integer> domain = new MySet<Integer>();

   // Exercise MySet's toString() method
    System.out.println(domain);	
    
   // Test out the isEmpty() method
    System.out.println("Is our set empty? " + domain.isEmpty());

   // populate the domain object
    for (int i = -3; i < 3; i++)
      domain.add(i);		// autoboxing
		
    System.out.println(domain);	

    System.out.println("Is our set empty? " + domain.isEmpty());

   // try to add an existing element
    domain.add(2);
		
   // confirm elements of a Set are unique
    System.out.println(domain);	

   // exercise the remove() method
    domain.remove(-3);
		
    System.out.println(domain);	

   // test the size() method
    System.out.println("The cardinality of our set is " + domain.size() + '.');
  }
	
}
